summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-1.6.3.ebuild116
2 files changed, 117 insertions, 0 deletions
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 345a00b4448..935ea34ab63 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -3,3 +3,4 @@ DIST Sphinx-1.2.3.tar.gz 3200548 SHA256 94933b64e2fe0807da0612c574a021c0dac28c7b
DIST Sphinx-1.3.1.tar.gz 3469782 SHA256 1a6e5130c2b42d2de301693c299f78cc4bd3501e78b610c08e45efc70e2b5114 SHA512 8b92b69c4ced242c5e608ea03a7a061b0d2908f34f3150048ff4ce08b5d56be4a642a6aec13fa249ff8208fa8dd2d38d8a10d37ebbcc68385ee51f527ede0b94 WHIRLPOOL f3e442fd1f1c260b21f3e2381f028884b6247758448439e7be4cf784f50ec12494e384c77a0c4ccac473f25d7bb88f5424be937d72bb3fac1b6f6387a5746f66
DIST Sphinx-1.3.5.tar.gz 3679978 SHA256 b7d133bb4990d010a2ad934c319b52d8a2156cb0491484f5e2a558619bc9ae04 SHA512 90eda9cdbd24575d9f763e5c35e176d9970d1c83dd06dd41e9137f5c6035738fd21c4c57ff98810fc8adf91fa625192e6534bf0bbf70e78cc98f73df59eaabbc WHIRLPOOL 5877015f700ed0818e0879868f2190ec818d088e235d9c12fe6bd472b0006bd8d26156273023ff93a098c8503bdc440cedd1ba8758fdc25f742bb5794940559f
DIST Sphinx-1.5.2.tar.gz 4418646 SHA256 049c48393909e4704a6ed4de76fd39c8622e165414660bfb767e981e7931c722 SHA512 32c8fb98d72e998fcce8c46ceddcbb0a0776d0e9ce75dc96cef48139b8b47ebe9636243fb48b9e04c8e1d5c56e09fc4c60248fbbef810fba9813b83a3e6cbe88 WHIRLPOOL 08fcf21ea37834e52a89f3956df289dc2ffe97e419cc0463815b3f10b95042dae5cf41be74fd1780529d5525ea349c10dd0e0bda6ac24b330ccb21e4a79e22e1
+DIST Sphinx-1.6.3.tar.gz 4674251 SHA256 af8bdb8c714552b77d01d4536e3d6d2879d6cb9d25423d29163d5788e27046e6 SHA512 d5aec58e19239db4e61fcd6b103fcc838d97aad5a7aaf9279ff1097791d9cd1ba245989307a2d1049c123058b84ca4e91db192a1672c040d80fafed3907736ae WHIRLPOOL 1b950701f72d54b7f03aa096f11ed7689ff843709b11cb61aa6fa02322e29260700693495230643fa2f07003e6411e3d00eed0463f8662b6aadfe55ab37742e4
diff --git a/dev-python/sphinx/sphinx-1.6.3.ebuild b/dev-python/sphinx/sphinx-1.6.3.ebuild
new file mode 100644
index 00000000000..bb3fc5994c6
--- /dev/null
+++ b/dev-python/sphinx/sphinx-1.6.3.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 eutils versionator
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="http://www.sphinx-doc.org/"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc latex net test"
+
+RDEPEND="
+ >=dev-python/alabaster-0.7.9[${PYTHON_USEDEP}]
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.1.1[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.11[${PYTHON_USEDEP}]
+ dev-python/imagesize[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0.1-r1[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ >=dev-python/six-1.5[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx_rtd_theme-0.1[${PYTHON_USEDEP}]
+ <dev-python/sphinx_rtd_theme-2.0[${PYTHON_USEDEP}]
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )
+ net? (
+ >=dev-python/sqlalchemy-0.9[${PYTHON_USEDEP}]
+ >=dev-python/whoosh-2.0[${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-0.9[${PYTHON_USEDEP}]
+ dev-python/typing[${PYTHON_USEDEP}]
+ >=dev-python/whoosh-2.0[${PYTHON_USEDEP}]
+ virtual/imagemagick-tools[jpeg,png,svg]
+ virtual/python-enum34[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}/${P^}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.5.1-fix-pycode-grammar.patch
+)
+
+python_prepare_all() {
+ # remove tests that fail due to network-sandbox
+ rm tests/test_websupport.py || die "Failed to remove web tests"
+ rm tests/test_build_linkcheck.py || die "Failed to remove web tests"
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # Generate the grammar. It will be caught by install somehow.
+ # Note that the tests usually do it for us. However, I don't want
+ # to trust USE=test really running all the tests, especially
+ # with FEATURES=test-fail-continue.
+ pushd "${BUILD_DIR}"/lib >/dev/null || die
+ "${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+ popd >/dev/null || die
+}
+
+python_compile_all() {
+ if use doc; then
+ emake -C doc SPHINXBUILD='"${EPYTHON}" "${S}/sphinx-build.py"' html
+ HTML_DOCS=( doc/_build/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+ cp -r -l tests "${BUILD_DIR}"/ || die "Failed to copy tests"
+ cp Makefile "${BUILD_DIR}"/ || die "Failed to copy Makefile"
+ emake test
+}
+
+pkg_postinst() {
+ replacing_python_eclass() {
+ local pv
+ for pv in ${REPLACING_VERSIONS}; do
+ if ! version_is_at_least 1.1.3-r4 ${pv}; then
+ return 0
+ fi
+ done
+
+ return 1
+ }
+
+ if replacing_python_eclass; then
+ ewarn "Replaced a very old sphinx version. If you are"
+ ewarn "experiencing problems, please re-emerge sphinx."
+ fi
+}